Dual Python Installed Environments..

Neil Wallace rowing.golfer at no_spam.virgin.net
Fri Oct 26 17:37:06 CEST 2007


On Thu, 25 Oct 2007 14:45:51 -0700, sam wrote:

> Hi..
> 
> I'm looking to install dual versions of python 2.3, 2.4 on the same box.
> I'm trying to figure out if there's something I'm missing, some kind of
> gotchas that I haven't seen.
> 
> I'm also trying to figure out how to allow my script to determine which
> version to use???
> 
> Thanks

Here's one that tripped me up...
I altered the symlink at /usr/bin/python to point to Python 2.2 which I 
installed in my home folder (see below for the reason.. in case you are 
wondering) this broke some packages in my distribution (Ubuntu).
I could see the broken packages, and didn't need them anymore, but I was 
unable to remove them as the removal scripts were (presumably) python 2.4+

Much head scratching at the time.

Neil.
Reason - I had written some CGI scripts and tested them thoroughly on my
localhost version of the site. However I uploaded the files, and some of
them didn't work, my sites server (not under my full control) runs Python
2.2, so I downloaded 2.2, and made it default so that localhost used this
version so I could retest and ammend etc..




More information about the Python-list mailing list